Wan 3.0 Text to Video
Entegre et
alibaba/wan-3.0/text-to-video
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/alibaba/wan-3.0/text-to-video?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"prompt": "A hummingbird hovers in front of a bright red hibiscus flower in a tropical garden, wings a blur, then darts away as the camera slowly racks focus to dew drops on the leaves. Macro lens, soft morning light, natural ambience.",
"resolution": "480p",
"aspect_ratio": "16:9",
"duration": 5,
"generate_audio": false
}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://api.doitong.ru/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/alibaba/wan-3.0/text-to-video?wait=20", {
method: "POST",
headers,
body: JSON.stringify({
"prompt": "A hummingbird hovers in front of a bright red hibiscus flower in a tropical garden, wings a blur, then darts away as the camera slowly racks focus to dew drops on the leaves. Macro lens, soft morning light, natural ambience.",
"resolution": "480p",
"aspect_ratio": "16:9",
"duration": 5,
"generate_audio": false
}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://api.doitong.ru/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {
"prompt": "A hummingbird hovers in front of a bright red hibiscus flower in a tropical garden, wings a blur, then darts away as the camera slowly racks focus to dew drops on the leaves. Macro lens, soft morning light, natural ambience.",
"resolution": "480p",
"aspect_ratio": "16:9",
"duration": 5,
"generate_audio": False,
}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/alibaba/wan-3.0/text-to-video", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
# 1. Connect once (Claude Code; Cursor, VS Code, Claude Desktop: https://doitong.com/tr/developers/docs/mcp)
claude mcp add --transport http doitong-models https://api.doitong.ru/v1/mcp \
--header "Authorization: Bearer $DOITONG_API_KEY"
# 2. Your agent calls the "run" tool with:
{
"model_id": "alibaba/wan-3.0/text-to-video",
"input": {
"prompt": "A hummingbird hovers in front of a bright red hibiscus flower in a tropical garden, wings a blur, then darts away as the camera slowly racks focus to dew drops on the leaves. Macro lens, soft morning light, natural ambience.",
"resolution": "480p",
"aspect_ratio": "16:9",
"duration": 5,
"generate_audio": false
}
}
Wan 3.0 Text to Video modelini (alibaba/wan-3.0/text-to-video) Doitong API üzerinden çağırın. Ajanlar için belgeler: https://doitong.com/tr/developers/models/alibaba/wan-3.0/text-to-video.md
POST https://api.doitong.ru/v1/run/alibaba/wan-3.0/text-to-video?wait=20
Authorization: Bearer $DOITONG_API_KEY
Content-Type: application/json
{
"prompt": "A hummingbird hovers in front of a bright red hibiscus flower in a tropical garden, wings a blur, then darts away as the camera slowly racks focus to dew drops on the leaves. Macro lens, soft morning light, natural ambience.",
"resolution": "480p",
"aspect_ratio": "16:9",
"duration": 5,
"generate_audio": false
}
Yanıt durumu "queued" veya "running" ise, durum "succeeded" olana kadar GET https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20 ile yoklayın; dosyalar outputs[].url içindedir. Aynı gövdeyle POST https://api.doitong.ru/v1/quote/alibaba/wan-3.0/text-to-video, çalıştırmadan önce kesin fiyatı döndürür.
Bu istek: $0,25 250 API kredisi · ≈ ₽26,89 Bu sayfada çalıştır
Yeni API anahtarınız. Yalnızca şimdi gösterilir ve zaten aşağıdaki kodda ve API anahtarı alanında bulunur. Gizli tutun: tarayıcıda çalışan kodlara asla eklemeyin.
Örnekler
İstek oluştur
Kontroller model şemasından oluşturulur. Değerleri değiştirdikçe kod ve fiyat güncellenir.
/run/alibaba/wan-3.0/text-to-video?wait=20
fiyat → $0,25
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/alibaba/wan-3.0/text-to-video?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"prompt": "A hummingbird hovers in front of a bright red hibiscus flower in a tropical garden, wings a blur, then darts away as the camera slowly racks focus to dew drops on the leaves. Macro lens, soft morning light, natural ambience.",
"resolution": "480p",
"aspect_ratio": "16:9",
"duration": 5,
"generate_audio": false
}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://api.doitong.ru/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/alibaba/wan-3.0/text-to-video?wait=20", {
method: "POST",
headers,
body: JSON.stringify({
"prompt": "A hummingbird hovers in front of a bright red hibiscus flower in a tropical garden, wings a blur, then darts away as the camera slowly racks focus to dew drops on the leaves. Macro lens, soft morning light, natural ambience.",
"resolution": "480p",
"aspect_ratio": "16:9",
"duration": 5,
"generate_audio": false
}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://api.doitong.ru/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {
"prompt": "A hummingbird hovers in front of a bright red hibiscus flower in a tropical garden, wings a blur, then darts away as the camera slowly racks focus to dew drops on the leaves. Macro lens, soft morning light, natural ambience.",
"resolution": "480p",
"aspect_ratio": "16:9",
"duration": 5,
"generate_audio": False,
}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/alibaba/wan-3.0/text-to-video", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "run",
"arguments": {
"model_id": "alibaba/wan-3.0/text-to-video",
"input": {
"prompt": "A hummingbird hovers in front of a bright red hibiscus flower in a tropical garden, wings a blur, then darts away as the camera slowly racks focus to dew drops on the leaves. Macro lens, soft morning light, natural ambience.",
"resolution": "480p",
"aspect_ratio": "16:9",
"duration": 5,
"generate_audio": false
},
"wait_seconds": 20
}
}
}
Bu isteği çalıştır
Anahtarınız bu tarayıcıda kalır: yalnızca Doitong API'ye gönderilir ve yalnızca Hatırla seçeneğini işaretlerseniz localStorage'a kaydedilir. API anahtarı al
Doitong'ta oluşturuldu
Doitong topluluğunun Wan 3.0 ile oluşturduğu herkese açık çalışmalar. Bir istemi tek tıklamayla yeniden kullanın.
Video
Создай 30-секундный обучающий музыкальный ролик для детей 3–5 лет. Тема: транспорт. Яркая 2D-анимация, весёлый водитель в кепке, крупные машины, пастельные цвета. 0:00–0:10 приветствие под музыку; 0:10–0:30 песенка: "Машина едет би-би, би-би", "Поезд едет ту-ту, ту-ту". Бодрая детская музыка...
Video
Создай 30-секундный обучающий музыкальный ролик для детей 3–5 лет. Тема: транспорт. Яркая 2D-анимация, тот же весёлый водитель в кепке, самолёт. 0:00–0:15 песенка: "Самолёт летит вж-ж-ж, вж-ж-ж"; 0:15–0:25 интерактивная пауза: водитель спрашивает "Как гудит машина?", пауза; 0:25–0:30 финальный...
Video
# PROMPT: Animated Mother’s Day greeting card **Format:** vertical video 9:16 **Duration:** 12–15 seconds **Style:** high‑quality Pixar‑inspired 3D animation, cinematic, warm, emotional, charming animated movie aesthetic. ### The main character is a child Use the attached image as the only and...
Wan 3.0 Text to Video hakkında
Wan 3.0, istemden 2 ila 30 saniye uzunluğunda tutarlı çekimler oluşturur ve varsayılan olarak ses üretir. İsteğe bağlı bir akıl yürütme adımı karmaşık sahneleri planlar; istem genişletme varsayılan olarak açıktır. Altı en-boy oranında 480p, 720p veya 1080p ya da uyarlamalı çerçeveleme kullanılır.
Parametreler
Kanonik adı veya yerel adı gönderin; ikisini birden göndermeyin. Kanonik adlar
promptgerekli
resolutionisteğe bağlı
aspect_ratioisteğe bağlı
durationisteğe bağlı
audioisteğe bağlı
generate_audio
enable_prompt_expansionisteğe bağlı
enable_thinkingisteğe bağlı
seedisteğe bağlı
Çıktı
{
"id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
"object": "request",
"model": "alibaba/wan-3.0/text-to-video",
"status": "succeeded",
"created_at": "2026-10-20T12:00:00Z",
"started_at": "2026-10-20T12:00:02Z",
"completed_at": "2026-10-20T12:00:09Z",
"queue_position": null,
"cost": {
"credits": 250,
"usd": "0.25",
"charged": 250,
"refunded": 0
},
"input": {
"prompt": "A red panda walks through a bamboo forest at sunrise, mist between the stalks, gentle handheld camera",
"duration": 5,
"resolution": "720p"
},
"output": {
"video": {
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
"content_type": "video/mp4",
"file_name": "0-output.mp4",
"file_size": 1843200,
"width": 1024,
"height": 768,
"fps": 1.0,
"duration": 5,
"num_frames": 1
},
"seed": 42,
"duration": 5,
"actual_prompt": "string"
},
"outputs": [
{
"type": "video",
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
"content_type": "video/mp4",
"file_size": 1843200,
"width": 1280,
"height": 720,
"duration": 5,
"stored": true
}
],
"error": null,
"metrics": {
"inference_seconds": 6.8
},
"urls": {
"self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
"cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
}
}
Çıktı alanları
- video
- object {url, content_type, file_name, file_size, width, height, fps, duration, num_frames}Üretimle oluşturulan video dosyası.
- seed
- integerÜretim sırasında uygulanan seed değeri.
- duration
- numberÜretilen videonun saniye cinsinden uzunluğu.
- actual_prompt
- string | null
Diğer Wan 3.0 varyantları
Daha fazla model: Metinden Videoya
AI aracıları için: bu sayfanın Markdown biçimi şurada: https://doitong.com/tr/developers/models/alibaba/wan-3.0/text-to-video.md. Tüm modeller ve kılavuzlar: https://doitong.com/developers/llms.txt